# Interface IVariableProvider

All Known Implementing Classes:
  `AbstractTemplateSection, BaseOptionTemplateSection, OptionTemplateSection`

public interface IVariableProvider
The classes that implement this interface are responsible for providing value of variables when asked. Variables are defined by templates and represent the current value of the template options set by the users.

Since:
  2.0
Restriction:
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`Object`
`getValue(String variable)`
Returns the value of the variable with a given name.

## Method Details

### getValue

Object getValue(String variable)
Returns the value of the variable with a given name.

Parameters:
  `variable` - the name of the variable
Returns:
  the value of the specified variable